[SRU] icehouse 2014.1.5 point release

Bug #1467533 reported by Corey Bryant on 2015-06-22
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ceilometer (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

OpenStack 2014.1.5 released Friday, 19 June, 2015:

From the release email from Alan Pevec:

Hello everyone,

The OpenStack Stable Maintenance team is eager to announce the release
of the 2014.1.5 stable Icehouse. We have been busy reviewing and
accepting backported bugfixes to the stable/icehouse branches according
to the criteria set at:

https://wiki.openstack.org/wiki/StableBranch

A total of 41 bugs have been fixed across all projects since 2014.1.4.
These updates to Icehouse are intended to be low risk with no intentional
regressions or API changes. The list of bugs, tarballs and
other milestone information for each project may be found on Launchpad:

https://launchpad.net/cinder/icehouse/2014.1.5
https://launchpad.net/glance/icehouse/2014.1.5
https://launchpad.net/horizon/icehouse/2014.1.5
https://launchpad.net/keystone/icehouse/2014.1.5
https://launchpad.net/nova/icehouse/2014.1.5
https://launchpad.net/neutron/icehouse/2014.1.5
https://launchpad.net/ceilometer/icehouse/2014.1.5
https://launchpad.net/heat/icehouse/2014.1.5

Release notes may be found on the wiki:

https://wiki.openstack.org/wiki/ReleaseNotes/2014.1.5

No further upstream Icehouse releases are planned.

Thanks,
Alan

Related branches

Changed in ceilometer (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in glance (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in heat (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
description: updated
Changed in ceilometer (Ubuntu Trusty):
status: New → In Progress
Changed in cinder (Ubuntu Trusty):
status: New → In Progress
Changed in glance (Ubuntu Trusty):
status: New → In Progress
Changed in heat (Ubuntu Trusty):
status: New → In Progress
Changed in horizon (Ubuntu Trusty):
status: New → In Progress
Changed in keystone (Ubuntu Trusty):
status: New → In Progress
Changed in neutron (Ubuntu Trusty):
status: New → In Progress
Changed in nova (Ubuntu Trusty):
status: New → In Progress

Hello Corey, or anyone else affected,

Accepted horizon into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/horizon/1:2014.1.5-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in keystone (Ubuntu Trusty):
status: In Progress → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Corey, or anyone else affected,

Accepted keystone into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/keystone/1:2014.1.5-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris Halse Rogers (raof) wrote :

Hello Corey, or anyone else affected,

Accepted nova into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nova/1:2014.1.5-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Trusty):
status: In Progress → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Corey, or anyone else affected,

Accepted heat into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/heat/2014.1.5-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in heat (Ubuntu Trusty):
status: In Progress → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Corey, or anyone else affected,

Accepted glance into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/glance/1:2014.1.5-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in glance (Ubuntu Trusty):
status: In Progress → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cinder/1:2014.1.5-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cinder (Ubuntu Trusty):
status: In Progress → Fix Committed
Changed in ceilometer (Ubuntu Trusty):
status: In Progress → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Corey, or anyone else affected,

Accepted ceilometer into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ceilometer/2014.1.5-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted neutron into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/1:2014.1.5-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Trusty):
status: In Progress → Fix Committed
Corey Bryant (corey.bryant) wrote :

Thanks Chris. The 2014.1.5 versions of the OpenStack packages have successfully been tested on trusty-proposed.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2014.1.5-0ubuntu1

---------------
keystone (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (91255f1) (LP: #1467533):
    - [a1548eb] backend_argument should be marked secret
    - [e6eba4b] Remove oslo.serialization from requirements.txt
    - [0e0efdb] Work with pymongo 3.0
    - [91255f1] Deal with PEP-0476 certificate chaining checking
  * d/p/drop-oslo-serialization.patch: Dropped; Fixed upstream.
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <email address hidden> Mon, 22 Jun 2015 10:14:38 -0400

Changed in keystone (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for keystone has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2014.1.5-0ubuntu1

---------------
horizon (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (4ff165c) (LP: #1467533):
    - [78b6f5e] Fix exponentially growing AJAX updates for table rows
    - [86a6628] Handle RequestURITooLong error in large instance table
    - [2a6fe4a] Fix host listing in live migration
    - [9109812] Exclude security group related quotas when the extension disabled
    - [4ff165c] horizon ignores region for identity service
  * d/p/fix-host-listing-live-migration.patch: Dropped; Fixed upstream.
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <email address hidden> Mon, 22 Jun 2015 10:14:26 -0400

Changed in horizon (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 1:2014.1.5-0ubuntu1

---------------
nova (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (08b5d48) (LP: #1467533):
    - [74295ed] Use ebtables to isolate dhcp traffic
    - [a83eb5f] VMware: fix AttributeError: TaskInfo instance has no attribute 'name'
    - [8876294] libvirt: partial fix for live-migration with config drive
    - [b77c188] Type conflict in trusted_filter.py using attestation_port default value
    - [378a8d4] Use instance.uuid instead of instance
    - [c12f21d] Make test_version_string_with_package_is_good work with pbr 0.11
    - [1668178] Moves trusted filter unit tests into own file
    - [4812617] Use hypervisor hostname for compute trust level
    - [d8853ee] Recover from POWERING-* state on compute manager start-up
    - [0784b0c] Avoid referring to juno-era exception type
    - [f513a28] libvirt: Make sure volumes are well detected during block migration
    - [68ec684] libvirt: avoid changing UUID when redefining nwfilters
    - [cc86ef5] delete python bytecode before every test run
    - [3501ec2] Drop use of oslo.utils in nova
    - [392dc22] Eventlet green threads not released back to pool
    - [1e03160] Sync strutils from oslo-incubator for mask_password fix
    - [7292c02] Allow instances to attach to shared external nets
    - [dbc348d] Fix libvirt watchdog support
    - [08b5d48] HyperV Driver - Fix to implement hypervisor-uptime
  * d/p/drop-oslo-utils-usage.patch: Dropped; Fixed upstream.
  * d/p/recover-from-power-state-on-compute.patch: Dropped; Fixed upstream.
  * d/p/fix-requirements.patch: Rebased.

 -- Corey Bryant <email address hidden> Mon, 22 Jun 2015 10:15:07 -0400

Changed in nova (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2014.1.5-0ubuntu1

---------------
heat (2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (314437f) (LP: #1467533):
    - [eb22b01] Fix cloud-init Python syntax for Python < 2.6
    - [314437f] Patch 033 migration to work w/ MySQL 5.6
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <email address hidden> Mon, 22 Jun 2015 10:14:10 -0400

Changed in heat (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2014.1.5-0ubuntu1

---------------
glance (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (f66170d) (LP: #1467533):
    - [f66170d] Fix Icehouse RBD delete image on creation failure
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <email address hidden> Mon, 22 Jun 2015 10:12:40 -0400

Changed in glance (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 2014.1.5-0ubuntu1

---------------
ceilometer (2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (04b66db) (LP: #1467533):
    - [737e899] Fixes ceilometer-compute service start failure
    - [04b66db] fix the value of query_spec.maxSample to advoid to be zero
  * d/p/fix-requirements.patch: Rebased.

 -- Corey Bryant <email address hidden> Mon, 22 Jun 2015 10:11:03 -0400

Changed in ceilometer (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2014.1.5-0ubuntu1

---------------
cinder (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (d03ca5d) (LP: #1467533):
    - [bc0549e] Disallow backing files when uploading volumes to image
    - [15901c4] Deal with PEP-0476 certificate chaining checking
    - [d03ca5d] Ignore HTTP_PROXY during test requests
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <email address hidden> Mon, 22 Jun 2015 10:12:20 -0400

Changed in cinder (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.1.5-0ubuntu1

---------------
neutron (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (877df58) (LP: #1467533):
    - [cae7108] Fix enable_snat column migration for Postgres + SQLite
    - [61571b4] Persist DHCP leases to a local database
    - [fba8d9b] Process port IP requests before subnet requests
    - [43fe809] Don't resync on DHCP agent setup failure
    - [91cc867] Deal with PEP-0476 certificate chaining checking
    - [877df58] Ignore http_proxy while connecting to test WSGI server

 -- Corey Bryant <email address hidden> Mon, 22 Jun 2015 10:14:52 -0400

Changed in neutron (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers